Index: debian/changelog
===================================================================
--- debian/changelog	(revision 2499)
+++ debian/changelog	(working copy)
@@ -1,11 +1,15 @@
 evolution-ews (3.8.5-3) UNRELEASED; urgency=low
 
+  [ Yves-Alexis Perez ]
   * Team upload.
   * Remove myself from uploaders, this should have been done a long time
     ago.
 
- -- Yves-Alexis Perez <corsac@debian.org>  Mon, 28 Oct 2013 09:01:52 +0100
+  [ Markus Frosch ]
+  * Added patch 11_cannot_create_appointments.patch (Closes: #725168)
 
+ -- Markus Frosch <markus@lazyfrosch.de>  Sat, 01 Mar 2014 13:26:35 +0100
+
 evolution-ews (3.8.5-2) unstable; urgency=low
 
   * Team upload.
Index: debian/patches/11_cannot_create_appointments.patch
===================================================================
--- debian/patches/11_cannot_create_appointments.patch	(revision 0)
+++ debian/patches/11_cannot_create_appointments.patch	(working copy)
@@ -0,0 +1,52 @@
+Description: Cannot create appointments
+ Imported from a git commit to the 3.8 branch.
+ 
+ From e31cb5c9e9392db00c48aa883c2f54a3b48eaea1 Mon Sep 17 00:00:00 2001
+ From: Milan Crha <mcrha@redhat.com>
+ Date: Fri, 16 Aug 2013 09:41:26 +0000
+ Subject: Cannot create appointments (regression from bug #702922)
+ 
+ (cherry picked from commit 286ab97d76d02a6c6a77ad919dc9d87703536d4b)
+Author: Milan Crha <mcrha@redhat.com>
+Origin: https://git.gnome.org/browse/evolution-ews/commit/?h=gnome-3-8&id=e31cb5c9e9392db00c48aa883c2f54a3b48eaea1
+Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702922
+Applied-Upstream: only in development branch
+Reviewed-by: Markus Frosch <markus@lazyfrosch.de>
+Last-Update: 2014-03-01
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+---
+diff --git a/src/calendar/e-cal-backend-ews-utils.c b/src/calendar/e-cal-backend-ews-utils.c
+index a326391..36116cc 100644
+--- a/src/calendar/e-cal-backend-ews-utils.c
++++ b/src/calendar/e-cal-backend-ews-utils.c
+@@ -65,8 +65,16 @@ e_ews_collect_attendees (icalcomponent *comp,
+ 		prop = icalcomponent_get_next_property (comp, ICAL_ATTENDEE_PROPERTY)) {
+ 
+ 		str = icalproperty_get_attendee (prop);
++
++		if (!str || !*str)
++			continue;
++
+ 		/* figure the email address of the attendee, discard "mailto:" if it's there */
+-		if (!g_ascii_strncasecmp (str, "mailto:", 7)) str = (str) + 7;
++		if (!g_ascii_strncasecmp (str, "mailto:", 7))
++			str = (str) + 7;
++
++		if (!*str)
++			continue;
+ 
+ 		/* if this attenddee is the orgenizer - dont add him/her
+ 		 in some cases there is no maito for email if meeting orginazer */
+@@ -756,6 +764,9 @@ e_ews_collect_organizer (icalcomponent *comp)
+ 	else
+ 		org_email_address = org;
+ 
++	if (org_email_address && !*org_email_address)
++		org_email_address = NULL;
++
+ 	return org_email_address;
+ }
+ 
+--
+cgit v0.9.2
Index: debian/patches/series
===================================================================
--- debian/patches/series	(revision 2499)
+++ debian/patches/series	(working copy)
@@ -1 +1,2 @@
 01_aclocal_amflags.patch
+11_cannot_create_appointments.patch
